diff --git a/initd/early.c b/initd/early.c
index e5d7ab1..9e0e171 100644
--- a/initd/early.c
+++ b/initd/early.c
@@ -109,8 +109,8 @@ early_mounts(void)
 	unsigned int oldumask = umask(0);
 
 	if (!is_container()) {
-		mount("proc", "/proc", "proc", MS_NOATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, 0);
-		mount("sysfs", "/sys", "sysfs", MS_NOATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, 0);
+		mount("proc", "/proc", "proc", MS_RELATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, 0);
+		mount("sysfs", "/sys", "sysfs", MS_RELATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, 0);
 		LOG("Attempting to mount cgroups (tmpfs + controller subdirs)\n");
 		mount("cgroup2", PATH_CGROUP, "tmpfs", MS_NODEV | MS_NOEXEC | MS_NOSUID, "size=512K");
 		mount_cgroup_controllers();
